PDA

View Full Version : Unterschiede ASPI 4.60 > 4.7x ?!?



XiT
30.01.2003, 18:17
Hi Leutz,

ich hab mal so zum Spaß die ASPI-Treiber 4.72 installiert, da mir jemand sagte damit würde DDump und einiges anderes nicht mehr funzen.
Und tatsächlich, DDump findet keine Geräte mehr und auch BurnAtOnce läuft damit nicht.
Also hab ich mal nach den Ursachen gesucht und festgestellt, dass ASPI 4.7x falsche Informationen an die Programme zurückgibt.
Das betrifft die Funktionen GetASPI32DLLVersion und GetASPI32SupportInfo. Bei GetASPI32DLLVersion wird ganz frech 4.60 zurückgegeben, obwogl es ja eigentlich 4.7x sein müsste. Bei GetASPI32SupportInfo werden nicht alle Hostadapter erkannt und gemeldet...
In den Programmier-Dokus - die immernoch auf den Stand von Dez. 2001 sind - ist darüber nichts vermerkt, ebensowenig wie auf der Homepage...
Weiß irgendjemand hier was genaueres über die Änderungen und welche Calls man wie ändern muß?!

Vielen Dank schonmal,
XiT

BxxxxJ
02.02.2003, 13:31
hi...

Mit diesen kakk-4.7x Aspis hatte ich auch Probleme...besonders unter XP.
Auf einer XP Partition laufen sie auf der anderen nicht...
Woran es liegt konnte ich bis jetzt nicht rausbekommen.

Ich mache deshalb überalll wieder die 4.6 drauf... die 4.71 bringen mir absolut keine vorteile.

Bxxxxj

XiT
02.02.2003, 15:02
Aha! Demnach laufen die 4.60'er Treiber also DOCH auf XP?!
Laut Adaptec sollen die nämlich dort nicht funzen, deswegen haben sie ja angeblich dieses Update rausgebracht... :?
Aber wenn die 4.60er auch auf XP und 2k funzen, dann ist ja alles im Lot, dann werde ich eben eine entsprechende Info ins Readme schreiben ;)
Danke für die Info!

XiT